package com.example.javancss;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

import com.pmease.quickbuild.util.datastore.FileDb;

public class AggregationDbMigrator implements FileDb.Migrator {

	public void init(Connection conn) throws SQLException {
		Statement stmt = conn.createStatement();
		stmt.execute("create table metrics (day int not null, configuration int not null, " +
				"count int not null, source_lines int not null, comment_lines int not null, " +
				"primary key (day, configuration))");
		
	}
}
